<?php // $Id: geo-ip2country.inc.php,v 2.0.2.1 2003/01/03 17:37:50 ciaccia Exp $

/************************************************************************/
/* phpPgAds                                                             */
/* ========                                                             */
/*                                                                      */
/* Copyright (c) 2001-2002 by the phpPgAds developers                   */
/* For more information visit: http://phppgads.sourceforge.net          */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/


function phpAds_countryCodeByAddr($addr)
{
	global $phpAds_config;
	
	if ($phpAds_config['geotracking_location'] == '')
		return false;
	
	$zz 	= explode('.', $addr);
	$offset = (($zz[0]<<16)+($zz[1]<<8)+$zz[2])*2;
	
	// Lookup IP in database
	if ($fp = @fopen($phpAds_config['geotracking_location'], 'r'))
	{
		fseek($fp, $offset, SEEK_SET);
		$result = fread($fp, 2);
		fclose($fp);
		
		// Correct UK to GB
		if ($result == 'UK') $result = 'GB';
		
		if ($result == "\0\0")
			return (false);
		else
			return ($result);
	}
	else
		return (false);
}

?>