<?php // $Id: cache-db.inc.php,v 2.0 2002/10/31 08:59:49 ciaccia Exp $

/************************************************************************/
/* phpPgAds                                                             */
/* ========                                                             */
/*                                                                      */
/* Copyright (c) 2001-2002 by the phpPgAds developers                   */
/* For more information visit: http://phppgads.sourceforge.net          */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/


// Set define to prevent duplicate include
define ('LIBVIEWCACHE_INCLUDED', true);


function phpAds_cacheFetch ($name)
{
	global $phpAds_config;
	
	$cacheres = phpAds_dbQuery("SELECT * FROM ".$phpAds_config['tbl_cache']." WHERE cacheid='".$name."'");
	
	if ($cacherow = phpAds_dbFetchArray($cacheres))
		return (unserialize(phpPgAds_lo_read($cacherow['content'])));
	else
		return false;
}

function phpAds_cacheStore ($name, $cache)
{
	global $phpAds_config;
	
	$cache = serialize($cache);
	$cachesize = strlen($cache);
	$oid = phpPgAds_lo_create(addslashes($cache));
	
	if (!$oid)
		return false;

	$cacheres = phpAds_dbQuery("SELECT * FROM ".$phpAds_config['tbl_cache']." WHERE cacheid='".$name."'");

	// Delete old lo, if any
	if ($cacherow = phpAds_dbFetchArray($cacheres))
		phpPgAds_lo_unlink($cacherow['content']);

	$result = phpAds_dbQuery("
		UPDATE
			".$phpAds_config['tbl_cache']."
		SET
			content=".$oid.",
			contentsize=".$cachesize."
		WHERE
			cacheid='".$name."'");
	
    if (phpAds_dbAffectedRows() == 0) 
    	$result = phpAds_dbQuery("
			INSERT INTO ".$phpAds_config['tbl_cache']."
				(cacheid, content, contentsize)
			VALUES
				('".$name."',".$oid.",".$cachesize.")"
		);
}

function phpAds_cacheDelete ($name='')
{
	global $phpAds_config;
	
	if ($name == '')
	{
		$cacheres = phpAds_dbQuery("SELECT * FROM ".$phpAds_config['tbl_cache']);
		while ($cacherow = phpAds_dbFetchArray($cacheres))
			phpPgAds_lo_unlink($cacherow['content']);

		$result = phpAds_dbQuery("DELETE FROM ".$phpAds_config['tbl_cache']);
	}
	else
	{
		$cacheres = phpAds_dbQuery("SELECT * FROM ".$phpAds_config['tbl_cache']." WHERE cacheid='".$name."'");
		if ($cacherow = phpAds_dbFetchArray($cacheres))
			phpPgAds_lo_unlink($cacherow['content']);

		$result = phpAds_dbQuery("DELETE FROM ".$phpAds_config['tbl_cache']." WHERE cacheid='".$name."'");
	}
}


function phpAds_cacheInfo ()
{
	global $phpAds_config;
	
	$result = array();
	
	$cacheres = phpAds_dbQuery("SELECT * FROM ".$phpAds_config['tbl_cache']);
	
	while ($cacherow = phpAds_dbFetchArray($cacheres))
		$result[$cacherow['cacheid']] = $cacherow['contentsize'];
	
	return ($result);
}

?>